plugins {
    id 'java-library'
    id 'org.jetbrains.kotlin.jvm'
    id 'org.jetbrains.kotlin.plugin.serialization'
}

ext {
    ktor_version = '3.0.3'
}

dependencies {
    implementation project(':core:context')
    implementation "org.slf4j:slf4j-api"

    implementation "io.ktor:ktor-client-core:$ktor_version"
    implementation "io.ktor:ktor-client-cio:$ktor_version"
    implementation "io.ktor:ktor-client-content-negotiation:$ktor_version"
    implementation "io.ktor:ktor-serialization-kotlinx-json:$ktor_version"
    testImplementation "org.junit.jupiter:junit-jupiter"
    testImplementation "io.ktor:ktor-client-mock:$ktor_version"
    testImplementation "org.jetbrains.kotlin:kotlin-test"
}

tasks.named("koverVerify").configure { enabled = false }
